#include<bits/stdc++.h>
#define lim 1000005

using namespace std;

int main(){

    int n;
    short int a[lim];
    cin>>n;
    for(int i=0;i<n;i++){
    	cin>>a[i];
    }
    int cmax=a[n-1];
    int cmaxind=n-1;
    for(int i=n-1;i>0;i--){
    	if(cmax<a[i]){
    		cmaxind=i;
    		cmax=a[i];
    	}
    }
    int cmin=a[0];
    int cminind=0;
    for(int i=0;i<n;i++){
    	if(a[i]<cmax){
    		cmin=a[i];
    		cminind=i;
    		break;
    	}
    }
    swap(a[cmaxind],a[cminind]);
    for(int i=0;i<n;i++){
    	cout<<a[i]<<" ";
    }

}

/*
10
8 2 4 5 3 2 1 8 7 2
10
2 9 4 3 5 1 2 7 4 2
10
1 2 4 5 7 1 2 9 3 2
10
9 4 2 1 2 7 9 1 2 1
*/